searchNodes=[{"ref":"Apix.html","title":"Apix","type":"module","doc":"Apix allows use native elixir documentation format for documenting APIs. Example iex&gt; defmodule Test.Api do ...&gt; use Apix ...&gt; @name &quot;Test&quot; ...&gt; @namespace &quot;test&quot; ...&gt; api &quot;Test&quot;, :foo ...&gt; @moduledoc &quot;Example api&quot; ...&gt; @doc &quot;Example function&quot; ...&gt; def foo(_), do: :bar ...&gt; end iex&gt; Apix.spec(Test.Api, :methods) [&quot;Test&quot;] iex&gt; Apix.apply(Test.Api, &quot;Test&quot;, %{}) :bar For more introspection rules, see spec/1, spec/2, spec/3 functions. There are some word in documetation, which will be identified, for example: ## Parameters, starting the attributes section. Each attribute should have the same format: &quot; key - type, description&quot; or &quot; key - type, optional, description&quot;. Type should be of type, which your validator supports."},{"ref":"Apix.html#api/3","title":"Apix.api/3","type":"macro","doc":"This macro, defines the binding between symbolic method name and exported elixir function. And defines, which function should be exported as API method."},{"ref":"Apix.html#apply/3","title":"Apix.apply/3","type":"function","doc":"Apply method on arguments Example iex&gt; Apix.apply(Simple.Api, &quot;Put&quot;, %{key: &quot;foo&quot;, value: &quot;bar&quot;}) %{result: true} iex&gt; Apix.apply(Simple.Api, &quot;Get&quot;, %{key: &quot;foo&quot;}) %{result: &quot;bar&quot;}"},{"ref":"Apix.html#spec/1","title":"Apix.spec/1","type":"function","doc":"Get api description of a module. Example iex&gt; Apix.spec(Simple.Api) &quot;store&quot;"},{"ref":"Apix.html#spec/2","title":"Apix.spec/2","type":"function","doc":"Get specification of a module and defined methods in it. Example iex&gt; Apix.spec(Simple.Api, :name) &quot;SimpleStore&quot; iex&gt; Apix.spec(Simple.Api, :doc) &quot;This api describes very simple get/put storage api.\\nAnd should be a very small example of how to use it.\\n&quot; iex&gt; Apix.spec(Simple.Api, :methods) [&quot;Get&quot;, &quot;Put&quot;]"},{"ref":"Apix.html#spec/3","title":"Apix.spec/3","type":"function","doc":"Get specification of a method in module and parameters in it. Example iex&gt; Apix.spec(Simple.Api, :method, &quot;Put&quot;) %{arguments: [key: %{description: &quot;describes key, on which it will be saved&quot;, optional: false, type: &quot;string&quot;}, value: %{description: &quot;describes value&quot;, optional: false, type: &quot;string&quot;}], doc: &quot;Put a value for the key&quot;}"}]